Index: src/mainboard/msi/ms9282/cache_as_ram_auto.c
===================================================================
--- src/mainboard/msi/ms9282/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/msi/ms9282/cache_as_ram_auto.c	(working copy)
@@ -270,7 +270,7 @@
         needs_reset |= mcp55_early_setup_x();
 
                if (needs_reset) {
-                       print_info("ht reset -\r\n");
+                       print_info("ht reset -\n");
                        soft_reset();
                }
 
Index: src/mainboard/msi/ms9185/cache_as_ram_auto.c
===================================================================
--- src/mainboard/msi/ms9185/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/msi/ms9185/cache_as_ram_auto.c	(working copy)
@@ -259,7 +259,7 @@
        /* Halt if there was a built in self test failure */
        report_bist_failure(bist);
 
-       print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+       print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
        setup_ms9185_resource_map();
 #if 0
@@ -267,7 +267,7 @@
        dump_pci_device(PCI_DEV(0, 0x19, 0));
 #endif
 
-       print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+       print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
        setup_coherent_ht_domain();
 
@@ -299,7 +299,7 @@
         {
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 
@@ -313,7 +313,7 @@
         {
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 #endif
@@ -324,7 +324,7 @@
 
         // fidvid change will issue one LDTSTOP and the HT change will be effective too
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset();
         }
 #endif
Index: src/mainboard/msi/ms7260/apc_auto.c
===================================================================
--- src/mainboard/msi/ms7260/apc_auto.c	(revision 3942)
+++ src/mainboard/msi/ms7260/apc_auto.c	(working copy)
@@ -74,7 +74,7 @@
 	 */
 	print_debug("CODE IN CACHE ON NODE:");
 	print_debug_hex8(id.nodeid);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	train_ram(id.nodeid, sysinfo, sysinfox);
 
Index: src/mainboard/msi/ms7260/cache_as_ram_auto.c
===================================================================
--- src/mainboard/msi/ms7260/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/msi/ms7260/cache_as_ram_auto.c	(working copy)
@@ -264,11 +264,11 @@
 	print_debug_hex32(sysinfo);
 	print_debug(",");
 	print_debug_hex32((unsigned long)sysinfo + sizeof(struct sys_info));
-	print_debug(")\r\n");
+	print_debug(")\n");
 
 	print_debug("bsp_apicid=");
 	print_debug_hex8(bsp_apicid);
-	print_debug("\r\n");
+	print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
 	/* In BSP so could hold all AP until sysinfo is in RAM. */
@@ -298,7 +298,7 @@
 		print_debug("begin msr fid, vid ");
 		print_debug_hex32(msr.hi);
 		print_debug_hex32(msr.lo);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 
 	enable_fid_change();
@@ -310,7 +310,7 @@
 		print_debug("end   msr fid, vid ");
 		print_debug_hex32(msr.hi);
 		print_debug_hex32(msr.lo);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 #endif
 
@@ -320,7 +320,7 @@
 
 	/* fidvid change will issue one LDTSTOP and the HT change will be effective too. */
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 	allow_all_aps_stop(bsp_apicid);
Index: src/mainboard/arima/hdama/debug.c
===================================================================
--- src/mainboard/arima/hdama/debug.c	(revision 3942)
+++ src/mainboard/arima/hdama/debug.c	(working copy)
@@ -23,7 +23,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -31,7 +31,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -43,7 +43,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -70,7 +70,7 @@
 	int n;
 	for(n = 0; n < controllers; n++) {
 		int i;
-		print_debug("\r\n");
+		print_debug("\n");
 		activate_spd_rom(&ctrl[n]);
 		for(i = 0; i < 4; i++) {
 			unsigned device;
@@ -87,13 +87,13 @@
 					int status;
 					unsigned char byte;
 					if ((j & 0xf) == 0) {
-						print_debug("\r\n");
+						print_debug("\n");
 						print_debug_hex8(j);
 						print_debug(": ");
 					}
 					status = spd_read_byte(device, j);
 					if (status < 0) {
-						print_debug("bad device\r\n");
+						print_debug("bad device\n");
 						break;
 					}
 #if 0
@@ -104,7 +104,7 @@
 #endif
 					print_debug_char(' ');
 				}
-				print_debug("\r\n");
+				print_debug("\n");
 			}
 			device = ctrl[n].channel1[i];
 			if (device) {
@@ -119,13 +119,13 @@
 					int status;
 					unsigned char byte;
 					if ((j & 0xf) == 0) {
-						print_debug("\r\n");
+						print_debug("\n");
 						print_debug_hex8(j);
 						print_debug(": ");
 					}
 					status = spd_read_byte(device, j);
 					if (status < 0) {
-						print_debug("bad device\r\n");
+						print_debug("bad device\n");
 						break;
 					}
 #if 0
@@ -136,7 +136,7 @@
 #endif
 					print_debug_char(' ');
 				}
-				print_debug("\r\n");
+				print_debug("\n");
 			}
 		}
 	}
Index: src/mainboard/arima/hdama/auto.c
===================================================================
--- src/mainboard/arima/hdama/auto.c	(revision 3942)
+++ src/mainboard/arima/hdama/auto.c	(working copy)
@@ -150,7 +150,7 @@
 	needs_reset = setup_coherent_ht_domain();
 	needs_reset |= ht_setup_chain(PCI_DEV(0, 0x18, 0), 0x80);
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 #if 0
Index: src/mainboard/arima/hdama/cache_as_ram_auto.c
===================================================================
--- src/mainboard/arima/hdama/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/arima/hdama/cache_as_ram_auto.c	(working copy)
@@ -209,7 +209,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/sunw/ultra40/auto.c
===================================================================
--- src/mainboard/sunw/ultra40/auto.c	(revision 3942)
+++ src/mainboard/sunw/ultra40/auto.c	(working copy)
@@ -184,7 +184,7 @@
 	needs_reset |= ck804_early_setup_x();	
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/sunw/ultra40/cache_as_ram_auto.c
===================================================================
--- src/mainboard/sunw/ultra40/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/sunw/ultra40/cache_as_ram_auto.c	(working copy)
@@ -252,7 +252,7 @@
         needs_reset |= ck804_early_setup_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/newisys/khepri/auto.c
===================================================================
--- src/mainboard/newisys/khepri/auto.c	(revision 3942)
+++ src/mainboard/newisys/khepri/auto.c	(working copy)
@@ -128,7 +128,7 @@
 	needs_reset=ht_setup_chains_x();
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 #if 0
Index: src/mainboard/newisys/khepri/cache_as_ram_auto.c
===================================================================
--- src/mainboard/newisys/khepri/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/newisys/khepri/cache_as_ram_auto.c	(working copy)
@@ -224,7 +224,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/jetway/j7f24/auto.c
===================================================================
--- src/mainboard/jetway/j7f24/auto.c	(revision 3942)
+++ src/mainboard/jetway/j7f24/auto.c	(working copy)
@@ -105,25 +105,25 @@
 	uart_init();
 	console_init();
 
-	print_spew("In auto.c:main()\r\n");
+	print_spew("In auto.c:main()\n");
 
 	enable_smbus();
 	smbus_fixup(&ctrl);
 
 	if (bist == 0) {
-		print_debug("doing early_mtrr\r\n");
+		print_debug("doing early_mtrr\n");
 		early_mtrr_init();
 	}
 
 	/* Halt if there was a built-in self test failure. */
 	report_bist_failure(bist);
 
-	print_debug("Enabling mainboard devices\r\n");
+	print_debug("Enabling mainboard devices\n");
 	enable_mainboard_devices();
 
 	ddr_ram_setup(&ctrl);
 
 	/* ram_check(0, 640 * 1024); */
 
-	print_spew("Leaving auto.c:main()\r\n");
+	print_spew("Leaving auto.c:main()\n");
 }
Index: src/mainboard/ibm/e326/auto.c
===================================================================
--- src/mainboard/ibm/e326/auto.c	(revision 3942)
+++ src/mainboard/ibm/e326/auto.c	(working copy)
@@ -149,7 +149,7 @@
 #endif
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/ibm/e326/cache_as_ram_auto.c
===================================================================
--- src/mainboard/ibm/e326/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/ibm/e326/cache_as_ram_auto.c	(working copy)
@@ -205,7 +205,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/ibm/e325/auto.c
===================================================================
--- src/mainboard/ibm/e325/auto.c	(revision 3942)
+++ src/mainboard/ibm/e325/auto.c	(working copy)
@@ -149,7 +149,7 @@
 #endif
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/ibm/e325/cache_as_ram_auto.c
===================================================================
--- src/mainboard/ibm/e325/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/ibm/e325/cache_as_ram_auto.c	(working copy)
@@ -205,7 +205,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/nvidia/l1_2pvv/apc_auto.c
===================================================================
--- src/mainboard/nvidia/l1_2pvv/apc_auto.c	(revision 3942)
+++ src/mainboard/nvidia/l1_2pvv/apc_auto.c	(working copy)
@@ -94,7 +94,7 @@
 	id = get_node_core_id_x();
 
 	//FIXME: for USBDEBUG_DIRECT you need to make sure dbg_info get assigned in AP
-	print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\r\n");
+	print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\n");
 
 	train_ram(id.nodeid, sysinfo, sysinfox);
 
Index: src/mainboard/nvidia/l1_2pvv/cache_as_ram_auto.c
===================================================================
--- src/mainboard/nvidia/l1_2pvv/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/nvidia/l1_2pvv/cache_as_ram_auto.c	(working copy)
@@ -290,9 +290,9 @@
 	early_usbdebug_direct_init();
 #endif
 	console_init();
-	print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
-	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
 	set_sysinfo_in_ram(0); // in BSP so could hold all ap until sysinfo is in ram
@@ -318,7 +318,7 @@
 	{
 		msr_t msr;
 		msr=rdmsr(0xc0010042);
-		print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+		print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
 	}
 
@@ -332,7 +332,7 @@
 	{
 		msr_t msr;
 		msr=rdmsr(0xc0010042);
-		print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+		print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
 	}
 #endif
@@ -343,7 +343,7 @@
 
 	// fidvid change will issue one LDTSTOP and the HT change will be effective too
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 	      	soft_reset();
 	}
 	allow_all_aps_stop(bsp_apicid);
Index: src/mainboard/intel/xe7501devkit/auto.c
===================================================================
--- src/mainboard/intel/xe7501devkit/auto.c	(revision 3942)
+++ src/mainboard/intel/xe7501devkit/auto.c	(working copy)
@@ -89,5 +89,5 @@
 	
 	// NOTE: ROMCC dies with an internal compiler error
 	//		 if the following line is removed.
-	print_debug("SDRAM is up.\r\n");
+	print_debug("SDRAM is up.\n");
 }
Index: src/mainboard/intel/jarrell/watchdog.c
===================================================================
--- src/mainboard/intel/jarrell/watchdog.c	(revision 3942)
+++ src/mainboard/intel/jarrell/watchdog.c	(working copy)
@@ -91,7 +91,7 @@
 	disable_sio_watchdog(NSC_WD_DEV);
 	disable_ich5_watchdog();
 	disable_jarell_frb3();
-	print_debug("Watchdogs disabled\r\n");
+	print_debug("Watchdogs disabled\n");
 }
 
 static void ich5_watchdog_on(void)
@@ -134,5 +134,5 @@
 	value &= ~(1 << 11);
 	outw(value, base + 0x08);	
 
-	print_debug("Watchdog ICH5 enabled\r\n");
+	print_debug("Watchdog ICH5 enabled\n");
 }
Index: src/mainboard/intel/jarrell/debug.c
===================================================================
--- src/mainboard/intel/jarrell/debug.c	(revision 3942)
+++ src/mainboard/intel/jarrell/debug.c	(working copy)
@@ -12,7 +12,7 @@
 	print_debug_hex8(index);
 	print_debug(": 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
         return;
 }
         
@@ -49,52 +49,52 @@
         int i;
         unsigned char data;
        
-	 print_debug("\r\n*** SERVER I/O REGISTERS ***\r\n");
+	 print_debug("\n*** SERVER I/O REGISTERS ***\n");
         for (i=0x10; i<=0x2d; i++) {
                 print_reg((unsigned char)i);
         }
 #if 0                                                                         
-        print_debug("\r\n*** XBUS REGISTERS ***\r\n");
+        print_debug("\n*** XBUS REGISTERS ***\n");
         setup_func(0x0f);
         for (i=0xf0; i<=0xff; i++) {
                 print_reg((unsigned char)i);
         }
                                                                                 
-        print_debug("\r\n***  SERIAL 1 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 1 CONFIG REGISTERS ***\n");
         setup_func(0x03);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  SERIAL 2 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 2 CONFIG REGISTERS ***\n");
         setup_func(0x02);
         print_reg(0xf0);
 
 #endif
-        print_debug("\r\n***  GPIO REGISTERS ***\r\n");
+        print_debug("\n***  GPIO REGISTERS ***\n");
         setup_func(0x07);
         for (i=0xf0; i<=0xf8; i++) {
                 print_reg((unsigned char)i);
         }
-        print_debug("\r\n***  GPIO VALUES ***\r\n");
+        print_debug("\n***  GPIO VALUES ***\n");
         data = inb(0x68a);
-	print_debug("\r\nGPDO 4: 0x");
+	print_debug("\nGPDO 4: 0x");
 	print_debug_hex8(data);
         data = inb(0x68b);
-	print_debug("\r\nGPDI 4: 0x");
+	print_debug("\nGPDI 4: 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 #if 0                                                                                
                                                                                 
-        print_debug("\r\n***  WATCHDOG TIMER REGISTERS ***\r\n");
+        print_debug("\n***  WATCHDOG TIMER REGISTERS ***\n");
         setup_func(0x0a);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  FAN CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  FAN CONTROL REGISTERS ***\n");
         setup_func(0x09);
         print_reg(0xf0);
         print_reg(0xf1);
 
-        print_debug("\r\n***  RTC REGISTERS ***\r\n");
+        print_debug("\n***  RTC REGISTERS ***\n");
         setup_func(0x10);
         print_reg(0xf0);
         print_reg(0xf1);
@@ -104,7 +104,7 @@
         print_reg(0xfe);
         print_reg(0xff);
                                                                                 
-        print_debug("\r\n***  HEALTH MONITORING & CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  HEALTH MONITORING & CONTROL REGISTERS ***\n");
         setup_func(0x14);
         print_reg(0xf0);
 #endif                                                                           
@@ -135,7 +135,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -143,7 +143,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -155,7 +155,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -165,7 +165,7 @@
 	int i;
 	unsigned long bar;
 	
-	print_debug("BAR 14 Dump\r\n");
+	print_debug("BAR 14 Dump\n");
 	
 	bar = pci_read_config32(dev, 0x14);
 	for(i = 0; i <= 0x300; i+=4) {
@@ -178,14 +178,14 @@
 		val = pci_read_config8(dev, i);
 #endif		
 		if((i%4)==0) {
-		print_debug("\r\n");
+		print_debug("\n");
 		print_debug_hex16(i);
 		print_debug_char(' ');
 		}
 		print_debug_hex32(read32(bar + i));
 		print_debug_char(' ');
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 static void dump_pci_devices(void)
@@ -209,7 +209,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -223,20 +223,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -249,20 +249,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -275,14 +275,14 @@
         while(device <= SMBUS_MEM_DEVICE_END) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("dimm ");
 		print_debug_hex8(device);
 		
                 for(i = 0; (i < 256) ; i++) {
 	                unsigned char byte;
                         if ((i % 16) == 0) {
-				print_debug("\r\n");
+				print_debug("\n");
 				print_debug_hex8(i);
 				print_debug(": ");
                         }
@@ -290,7 +290,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
@@ -308,7 +308,7 @@
         while(device <= 0x42) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("ipmi ");
 		print_debug_hex8(device);
 		
@@ -318,7 +318,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
Index: src/mainboard/intel/jarrell/jarrell_fixups.c
===================================================================
--- src/mainboard/intel/jarrell/jarrell_fixups.c	(revision 3942)
+++ src/mainboard/intel/jarrell/jarrell_fixups.c	(working copy)
@@ -58,12 +58,12 @@
 	/* set gpio 42,44 signal levels */
 	data = inb(gpio_index + PC87427_GPDO_4);
 	if ((data & 0x14) == (0xff & (((bits&2)?0:1)<<4 | ((bits&1)?0:1)<<2))) {
-		print_debug("set_pllsel: correct settings detected!\r\n");
+		print_debug("set_pllsel: correct settings detected!\n");
 		return; /* settings already configured */
 	} else {
 		outb((data & 0xeb) | ((bits&2)?0:1)<<4 | ((bits&1)?0:1)<<2, gpio_index + PC87427_GPDO_4);
 		/* reset */
-		print_debug("set_pllsel: settings adjusted, now resetting...\r\n");
+		print_debug("set_pllsel: settings adjusted, now resetting...\n");
 	//	hard_reset(); /* should activate a PCI_RST, which should reset MCH, but it doesn't seem to work ???? */
 //		mch_reset();
 		full_reset();
Index: src/mainboard/intel/jarrell/power_reset_check.c
===================================================================
--- src/mainboard/intel/jarrell/power_reset_check.c	(revision 3942)
+++ src/mainboard/intel/jarrell/power_reset_check.c	(working copy)
@@ -6,7 +6,7 @@
 	cmos=cmos_read(RTC_BOOT_BYTE)>>4 ;
 	print_debug("Boot byte = ");
 	print_debug_hex8(cmos);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	if((cmos>2)&&(cmos&1))  full_reset();
 }
Index: src/mainboard/asus/a8v-e_se/cache_as_ram_auto.c
===================================================================
--- src/mainboard/asus/a8v-e_se/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/asus/a8v-e_se/cache_as_ram_auto.c	(working copy)
@@ -116,7 +116,7 @@
 	uint8_t tmp;
 
 	set_bios_reset();
-	print_debug("soft reset \r\n");
+	print_debug("soft reset \n");
 
 	/* PCI reset */
 	tmp = pci_read_config8(PCI_DEV(0, 0x11, 0), 0x4f);
@@ -194,7 +194,7 @@
 	console_init();
 	enable_rom_decode();
 
-	print_info("now booting... fallback\r\n");
+	print_info("now booting... fallback\n");
 
 	/* Is this a CPU only reset? Or is this a secondary CPU? */
 	if ((cpu_init_detectedx) || (!boot_cpu())) {
@@ -220,7 +220,7 @@
 	}
 
 normal_image:
-	/* print_info("JMP normal image\r\n"); */
+	/* print_info("JMP normal image\n"); */
 
 	__asm__ __volatile__("jmp __normal_image":
 			     :"a" (bist), "b" (cpu_init_detectedx));
@@ -262,7 +262,7 @@
 	console_init();
 	enable_rom_decode();
 
-	print_info("now booting... real_main\r\n");
+	print_info("now booting... real_main\n");
 
 	if (bist == 0)
 		bsp_apicid = init_cpus(cpu_init_detectedx, sysinfo);
@@ -274,7 +274,7 @@
 	setup_coherent_ht_domain();
 	wait_all_core0_started();
 
-	print_info("now booting... Core0 started\r\n");
+	print_info("now booting... Core0 started\n");
 
 #if CONFIG_LOGICAL_CPUS==1
 	/* It is said that we should start core1 after all core0 launched. */
@@ -289,7 +289,7 @@
 	needs_reset |= k8t890_early_setup_ht();
 
 	if (needs_reset) {
-		print_debug("ht reset -\r\n");
+		print_debug("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/asus/a8n_e/cache_as_ram_auto.c
===================================================================
--- src/mainboard/asus/a8n_e/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/asus/a8n_e/cache_as_ram_auto.c	(working copy)
@@ -242,7 +242,7 @@
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/asus/m2v-mx_se/cache_as_ram_auto.c
===================================================================
--- src/mainboard/asus/m2v-mx_se/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/asus/m2v-mx_se/cache_as_ram_auto.c	(working copy)
@@ -110,12 +110,12 @@
 /* this function might fail on some K8 CPUs with errata #181 */
 static void ldtstop_sb(void)
 {
-	print_debug("toggle LDTSTP#\r\n");
+	print_debug("toggle LDTSTP#\n");
 	u8 reg = inb (VT8237R_ACPI_IO_BASE + 0x5c);
 	reg = reg ^ (1 << 0);
 	outb(reg, VT8237R_ACPI_IO_BASE + 0x5c);
 	reg = inb(VT8237R_ACPI_IO_BASE + 0x15);
-	print_debug("done\r\n");
+	print_debug("done\n");
 }
 
 
@@ -137,7 +137,7 @@
 	uint8_t tmp;
 
 	set_bios_reset();
-	print_debug("soft reset \r\n");
+	print_debug("soft reset \n");
 
 	/* PCI reset */
 	tmp = pci_read_config8(PCI_DEV(0, 0x11, 0), 0x4f);
@@ -180,7 +180,7 @@
 	console_init();
 	enable_rom_decode();
 
-	print_info("now booting... fallback\r\n");
+	print_info("now booting... fallback\n");
 
 	/* Is this a CPU only reset? Or is this a secondary CPU? */
 	if ((cpu_init_detectedx) || (!boot_cpu())) {
@@ -206,7 +206,7 @@
 	}
 
 normal_image:
-	/* print_info("JMP normal image\r\n"); */
+	/* print_info("JMP normal image\n"); */
 
 	__asm__ __volatile__("jmp __normal_image":
 			     :"a" (bist), "b" (cpu_init_detectedx));
@@ -250,7 +250,7 @@
 	console_init();
 	enable_rom_decode();
 
-	print_info("now booting... real_main\r\n");
+	print_info("now booting... real_main\n");
 
 
 	if (bist == 0)
@@ -262,7 +262,7 @@
 	setup_coherent_ht_domain();
 	wait_all_core0_started();
 
-	print_info("now booting... Core0 started\r\n");
+	print_info("now booting... Core0 started\n");
 
 #if CONFIG_LOGICAL_CPUS==1
 	/* It is said that we should start core1 after all core0 launched. */
@@ -285,9 +285,9 @@
 	if (needs_reset) {
 		print_debug_hex8(needs_reset);
 
-		print_debug("Xht reset -\r\n");
+		print_debug("Xht reset -\n");
 		soft_reset();
-		print_debug("NO reset\r\n");
+		print_debug("NO reset\n");
 
 	}
 
@@ -297,7 +297,7 @@
 	vt8237_sb_enable_fid_vid();
 
 	enable_fid_change();
-	print_debug("after enable_fid_change\r\n");
+	print_debug("after enable_fid_change\n");
 
 	init_fidvid_bsp(bsp_apicid);
 
Index: src/mainboard/agami/aruma/auto.c
===================================================================
--- src/mainboard/agami/aruma/auto.c	(revision 3942)
+++ src/mainboard/agami/aruma/auto.c	(working copy)
@@ -153,19 +153,19 @@
 //#if (ALLOW_HT_OVERCLOCKING==1) && (USE_FALLBACK_IMAGE==0)
 //	if(read_option(CMOS_VSTART_amdk8_1GHz, CMOS_VLEN_amdk8_1GHz, 0)) 
 //	{
-//		print_debug("AMDK8 allowed at 1GHz\r\n");
+//		print_debug("AMDK8 allowed at 1GHz\n");
 //	} else {
-//		print_debug("AMDK8 allowed at 800Hz only\r\n");
+//		print_debug("AMDK8 allowed at 800Hz only\n");
 //	}
 //	if(read_option(CMOS_VSTART_amd8131_800MHz, CMOS_VLEN_amd8131_800MHz, 0))
 //	{
-//		print_debug("AMD8131 allowed at 800MHz\r\n");
+//		print_debug("AMD8131 allowed at 800MHz\n");
 //	} else {
-//		print_debug("AMD8131 allowed at 600Hz only\r\n");
+//		print_debug("AMD8131 allowed at 600Hz only\n");
 //	}
 //#endif
 	if (needs_reset) {
-		print_info("HyperT reset -\r\n");
+		print_info("HyperT reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/agami/aruma/cache_as_ram_auto.c
===================================================================
--- src/mainboard/agami/aruma/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/agami/aruma/cache_as_ram_auto.c	(working copy)
@@ -243,7 +243,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/sdram/generic_sdram.c
===================================================================
--- src/sdram/generic_sdram.c	(revision 3942)
+++ src/sdram/generic_sdram.c	(working copy)
@@ -6,15 +6,15 @@
 static inline void print_debug_sdram_8(const char *strval, uint32_t val)
 {
 #if CONFIG_USE_INIT
-        printk_debug("%s%02x\r\n", strval, val);
+        printk_debug("%s%02x\n", strval, val);
 #else
-        print_debug(strval); print_debug_hex8(val); print_debug("\r\n");
+        print_debug(strval); print_debug_hex8(val); print_debug("\n");
 #endif
 }
 
 void sdram_no_memory(void)
 {
-	print_err("No memory!!\r\n");
+	print_err("No memory!!\n");
 	while(1) { 
 		hlt(); 
 	}
@@ -55,7 +55,7 @@
 	 * Some chipsets do the work for us while on others 
 	 * we need to it by hand.
 	 */
-	print_debug("Ram3\r\n");
+	print_debug("Ram3\n");
 
 	#if RAMINIT_SYSINFO == 1
 	sdram_enable(controllers, ctrl, sysinfo);
@@ -63,5 +63,5 @@
 	sdram_enable(controllers, ctrl);
 	#endif
 
-	print_debug("Ram4\r\n");
+	print_debug("Ram4\n");
 }
Index: src/sdram/generic_dump_spd.c
===================================================================
--- src/sdram/generic_dump_spd.c	(revision 3942)
+++ src/sdram/generic_dump_spd.c	(working copy)
@@ -6,7 +6,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -20,20 +20,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = spd_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -46,20 +46,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = spd_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
